org.eclipse.emf.cdo.server

## Interface IStoreAccessor.DurableLocking2

- All Superinterfaces:
    IDurableLockingManager, IStoreAccessor.DurableLocking
  All Known Subinterfaces:
    ILissomeStoreAccessor
  Enclosing interface:
    IStoreAccessor

      public static interface IStoreAccessor.DurableLocking2
      extends IStoreAccessor.DurableLocking

  An extension interface for `store accessors` that support durable locking.
  Since:
    4.1
  Author:
    Caspar De Groot
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `IDurableLockingManager.LockArea, IDurableLockingManager.LockAreaAlreadyExistsException, IDurableLockingManager.LockAreaNotFoundException, IDurableLockingManager.LockGrade`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDurableLockingManager.LockArea` | `createLockArea(java.lang.String durableLockingID, java.lang.String userID, CDOBranchPoint branchPoint, boolean readOnly, java.util.Map<CDOID,IDurableLockingManager.LockGrade> locks)`
    `void` | `updateLockArea(IDurableLockingManager.LockArea lockArea)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor.DurableLocking

      `lock, unlock, unlock`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.IDurableLockingManager

      `createLockArea, deleteLockArea, getLockArea, getLockAreas`

- - ### Method Detail

    - #### createLockArea

          IDurableLockingManager.LockArea createLockArea(java.lang.String durableLockingID,
                                                         java.lang.String userID,
                                                         CDOBranchPoint branchPoint,
                                                         boolean readOnly,
                                                         java.util.Map<CDOID,IDurableLockingManager.LockGrade> locks)

    - #### updateLockArea

          void updateLockArea(IDurableLockingManager.LockArea lockArea)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html